/* eslint-disable max-len */
import React, { SVGProps } from "react";

import { IiCon } from "@/types/IconInterface";

export const RolesIcon = ({ width = "24px", height = "24px", ...restProps }: IiCon & SVGProps<SVGSVGElement>) => (
    <svg {...restProps} xmlns="http://www.w3.org/2000/svg" width={width} height={height} fill="none">
        <path
            fill="#707D99"
            d="M10.75.5c.313 0 .664.078.938.234l8.203 3.477c.507.234.859.742.859 1.289 0 .586-.352 1.094-.86 1.328l-8.203 3.477c-.273.156-.624.195-.937.195-.352 0-.664-.04-.977-.195L1.57 6.828C1.062 6.594.75 6.086.75 5.5c0-.547.313-1.055.82-1.29L9.773.735c.313-.156.625-.234.977-.234Zm-.234 1.953L3.328 5.5l7.188 3.086c.078.039.156.039.234.039.078 0 .156 0 .195-.04L18.133 5.5l-7.188-3.047a.298.298 0 0 0-.195-.078c-.078 0-.156.04-.234.078ZM1.57 9.211l1.25-.508L5.203 9.72l-1.875.781 7.188 3.086c.078.039.156.039.234.039.078 0 .156 0 .195-.04l7.188-3.085-1.836-.781 2.344-1.016 1.25.508c.507.234.859.742.859 1.289 0 .586-.352 1.094-.86 1.328l-8.203 3.477c-.273.156-.624.195-.937.195-.352 0-.664-.04-.977-.195L1.57 11.828c-.508-.234-.82-.742-.82-1.328 0-.547.313-1.055.82-1.29Zm0 5 1.25-.508 2.383 1.016-1.875.781 7.188 3.086c.078.039.156.039.234.039.078 0 .156 0 .195-.04l7.188-3.085-1.836-.781 2.344-1.016 1.25.508c.507.234.859.742.859 1.289 0 .586-.352 1.094-.86 1.328l-8.203 3.477c-.273.156-.624.195-.937.195-.352 0-.664-.04-.977-.195L1.57 16.828c-.508-.234-.82-.742-.82-1.328 0-.547.313-1.055.82-1.29Z"
        />
    </svg>
);
